> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-881012b3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Banks

> Fetch banks using the Razorpay TPAP Pro API.

<div style={{display:"flex",flexWrap:"wrap",alignItems:"center",gap:"0.35rem 0.9rem",border:"1px solid rgba(128,128,128,0.28)",borderRadius:"0.5rem",padding:"0.45rem 0.75rem",margin:"0 0 1.25rem",fontSize:"0.875rem"}}>
  <span style={{fontWeight:600}}>Available in</span>
  <span>🇮🇳 India</span>
</div>

NPCI will maintain the list of all fund source providers connected via a unified interface. A fund source provider is a Bank, Payment Bank, PPI, or any other RBI-regulated entity that is allowed to provide payment (credit/debit) services to individuals and entities. Use this endpoint to fetch banks or fundsource providers. Know more about the [Header information](/docs/payments/tpap-pro/integration-guide#header-information).

<RequestExample>
  ```bash Curl theme={null}
  curl -X GET 'api.rzp.<bank>.com/v1/upi/tpap/fundsource_providers?skip=0&count=10&refresh=true' \
  -u [YOUR_KEY_ID]:[YOUR_SECRET] \
  -H "Content-type: application/json" \
  -H "x-device-fingerprint: <device_fingerprint>" \
  -H "x-device-fingerprint-timestamp: 1496918882000" \
  -H "x-customer-reference: customer-id-from-customer" \
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "entity":"collection",
    "count":1,
    "items":[
      {
        "entity":"upi.fundsource_provider",
        "name":"HDFC Bank",
        "id":"psp generated id of fundsource provider",
        "upi_iin":"600007",
        "ifsc":"HDFC0000486",
        "upi_enabled":true,
        "logo_url":"<bank logo url>",
        "products":[
          "nfs",
          "upi"
        ],
        "mobile_registration_format":"format1",
        "upi_versions_supported":[
          {
            "version":"1.0",
            "mandatory":false
          }
        ]
      },
      {
        "entity":"upi.fundsource_provider",
        "name":"ICICI Bank",
        "id":"psp generated id of fundsource provider",
        "upi_iin":"600008",
        "ifsc":"ICIC0000486",
        "upi_enabled":true,
        "logo_url":"<bank logo url>",
        "products":[
          "nfs | upi"
        ],
        "mobile_registration_format":"format1",
        "upi_versions_supported":[
          {
            "version":"1.0",
            "mandatory":false
          }
        ]
      }
    ]
  }
  ```
</ResponseExample>

## Query Parameters

<ParamField query="count" type="integer">
  Number of entities to fetch. Default is `10`. You can use this parameter for pagination in combination with `count`.
</ParamField>

<ParamField query="skip" type="integer">
  Number of entities to skip. Default is `0`. You can use this parameter for pagination in combination with `skip`.
</ParamField>

## Response Parameters

<ResponseField name="entity" type="string">
  This refers to the collection of entity. Here, it is `collection`.
</ResponseField>

<ResponseField name="count" type="integer">
  Indicates the number of items in the entity type.
</ResponseField>

<ResponseField name="items" type="array">
  Indicates a list of objects.
</ResponseField>

<ResponseField name="entity" type="string">
  Indicates the entity type name. In this case `fundsource_provider`.
</ResponseField>

<ResponseField name="name" type="string">
  Indicates the fund source name. For example, HDFC bank.
</ResponseField>

<ResponseField name="upi_iin" type="string">
  Indicates the UPI Issuer Identification Numbers (IIN) of the fundsource provider issued by NPCI.
</ResponseField>

<ResponseField name="ifsc" type="string">
  IFSC of the bank.
</ResponseField>

<ResponseField name="upi_enabled" type="boolean">
  Indicates if UPI is enabled for the bank. Possible values:

  * `true`: UPI is enabled.
  * `false`: UPI is not enabled.
</ResponseField>

<ResponseField name="logo_url" type="string">
  The bank logo URL.
</ResponseField>

<ResponseField name="products" type="array">
  Indicates the list of products supported by the bank separated by a comma. For example, `aeps`, `imps`, `card` and `nfs`.
</ResponseField>

<ResponseField name="mobile_registration_format" type="string">
  Indicates the format as defined by NPCI - format1 and format2. This field is required when setting the UPI PIN.
</ResponseField>

<ResponseField name="upi_versions_supported" type="object">
  UPI version supported details.
</ResponseField>

<ResponseField name="version" type="string">
  The version of UPI supported. Possible values:

  * `1.0`
  * `2.0`
</ResponseField>

<ResponseField name="mandatory" type="boolean">
  Indicates that the PSP should be live in this version before going live with the next or any child versions. Possible values:

  * `true`: PSP is live.
  * `false`: PSP is not live.
</ResponseField>
